-------------------------------------------------
-- Purpose: Math Util Functions
-- Licence: ZLIB/libpng
-- Copyright (c) 2013 Magister Ludi
-------------------------------------------------

function math.Clamp( int, min, max )

	if int < min then
		return min
	elseif int > max then
		return max
	end
	return int

end

function math.isInCircle(center_x, center_y, radius, x, y)

	local distance_squared = math.abs((center_x - x)^2 + (center_y - y)^2)
	return distance_squared <= radius^2

end

function math.isInRect(rect_x, rect_y, width, height, x, y)

	local rect_x = math.abs(rect_x)
	local rect_y = math.abs(rect_y)
	local width = math.abs(width)
	local height = math.abs(height)
	local x = math.abs(x)
	local y = math.abs(y)
	return x > rect_x and x < (rect_x + width) and y > rect_y and y < (rect_y + height)

end