-------------------------------------------------
-- Purpose: Main file
-- Licence: ZLIB/libpng
-- Copyright (c) 2013 Magister Ludi
-------------------------------------------------

titleFont = love.graphics.newImageFont( "resources/fonts/20pxfont.png", " abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789:;!?\"'.,-+/\\()%=#[]@<>" )
mainFont = love.graphics.newImageFont( "resources/fonts/10pxfont.png", " abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789:;!?\"'.,-+/\\()%=#[]@<>" )
smallFont = love.graphics.newImageFont( "resources/fonts/5pxfont.png", " abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789:;!?\"'.,-+/\\()%=#[]@<>" )

function love.load()

	--FILES INIT
	Gamestate = require "libs/hump/gamestate"
	Ringbuffer = require "libs/hump/ringbuffer"
	for k, v in pairs(love.filesystem.enumerate("states")) do require("states/" .. v) end --Add all states from folder 'states'
	for k, v in pairs(love.filesystem.enumerate("extensions")) do require ("extensions" .. v)  end --Add all extensions from folder 'extensions'

	--GRAPHICS INIT
	love.graphics.setBackgroundColor(0, 0, 0)
	love.mouse.setVisible( true )
	--love.graphics.setIcon(love.graphics.newImage("resources/graphics/icon.png")) TODO

	--GAMESTATE INIT
	Gamestate.registerEvents() --Initialise gamestate system
	Gamestate.switch(mainMenu) --Open mainMenu Gamestate
	
	--DEBUG INIT
	DEBUGBOOL = false
	--local files = love.filesystem.enumerate("states")
	--for k, file in ipairs(files) do
	--	print(k .. ". " .. file .. "||" .. "states/" .. file)
	--	require(tostring("states/" .. file))
	--end
	--print("BREAK\n\n\n\n\nENDBREAK")
	--local files = love.filesystem.enumerate("extensions")
	--for k, file in ipairs(files) do
	--	print(k .. ". " .. file .. "||" .. "extensions/" .. file)
	--end

end

function love.keypressed( key )

	if key == "z" then DEBUGBOOL = not DEBUGBOOL end

end

function love.draw()

	if DEBUGBOOL then
		love.graphics.setFont(smallFont)
		love.graphics.print("x = " .. love.mouse.getX() .. ", y = " .. love.mouse.getY(), 10, 241)
	end

end
