-------------------------------------------------
-- Purpose: Main Menu
-- Licence: ZLIB/libpng
-- Copyright (c) 2013 Magister Ludi
-------------------------------------------------

mainMenu = Gamestate.new()

function mainMenu:init()

	mainMenu_Options = {
		{title = "New Game", func = function () end},
		{title = "Load Game", func = function () end},
		{title = "Options", func = function () end},
		{title = "Credits", func = function () end},
		{title = "Quit", func = function () love.event.quit() end}
	}
	mainMenu_Options.selected = 1

end

function mainMenu:enter(pre, ...)

	love.graphics.setBackgroundColor(0, 0, 0)
	love.graphics.setLine( 1, "rough" )


end

function mainMenu:update(dt)

end

function mainMenu:draw()

	--Init draw
	love.graphics.setColor(255, 255, 255, 255)

	--Draw menu title
	love.graphics.setFont(titleFont)
	love.graphics.print("Work\nIn\nProgress", 10, 10)

	--Draw menu options
	love.graphics.setFont(mainFont)
	for i = 1, #mainMenu_Options do
		if i == mainMenu_Options.selected then
			love.graphics.setColor(255, 255, 255, 255)
			love.graphics.print(mainMenu_Options[i].title, 10, 110+((i-1)*25))
		else
			love.graphics.setColor(255, 255, 255, 100)
			love.graphics.print(mainMenu_Options[i].title, 10, 110+((i-1)*25))
		end
	end

end

function mainMenu:mousepressed(button)

end

function mainMenu:keypressed(key)

	if key == "down" then
		if mainMenu_Options.selected == #mainMenu_Options then
			mainMenu_Options.selected = 1
		else
			mainMenu_Options.selected = mainMenu_Options.selected + 1
		end
	elseif key == "up" then
		if mainMenu_Options.selected == 1 then
			mainMenu_Options.selected = #mainMenu_Options
		else
			mainMenu_Options.selected = mainMenu_Options.selected - 1
		end
	elseif key == "return" then
		mainMenu_Options[mainMenu_Options.selected].func()
	end

end

function mainMenu:keyreleased(key)

end

function mainMenu:leave()

end